Skip to main content
POST
/
core.v1.InsightsService
/
GetInsightsOverview
cURL
curl -X POST "https://api.joinformal.com/core.v1.InsightsService/GetInsightsOverview" \
  -H "X-API-KEY: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "example": "value"
  }'
{
  "total": 123,
  "unread": 123,
  "critical": 123,
  "detected": 123,
  "blocked": 123,
  "engineEnabled": true,
  "severityCounts": {},
  "categoryCounts": {}
}

Authorizations

X-API-KEY
string
header
required

API key authentication. Get your API key from the Formal console.

Body

application/json

The body is of type GetInsightsOverviewRequest · object.

Response

Success

total
integer<int32>
unread
integer<int32>
critical
integer<int32>
detected
integer<int32>
blocked
integer<int32>
engineEnabled
boolean
severityCounts
severity_counts · object

Count per severity level (e.g. "critical" -> 5, "high" -> 12).

categoryCounts
category_counts · object

Count per category_id (e.g. "llm01_prompt_injection" -> 3).